function test_fetch_series_by_dimension() % --*-- Unitary tests --*--
df = fetch_series('provider_code',"WB",'dataset_code',"DB", 'dimensions', '{"country":["ES","FR","IT"],"indicator":["IC.REG.COST.PC.FE.ZS.DRFN"]}');

idx = find(strcmp('provider_code',df(1,:)));
provider_codes = unique(df(2:end,idx));
assert(length(provider_codes)==1);
assert(provider_codes{1} == "WB");

idx = find(strcmp('dataset_code',df(1,:)));
dataset_codes = unique(df(2:end,idx));
assert(length(dataset_codes) == 1);
assert(dataset_codes{1} == "DB");

idx = find(strcmp('series_code',df(1,:)));
series_codes = unique(df(2:end,idx));
assert(length(series_codes) == 3);
end

%@test:1
%$ try
%$    test_fetch_series_by_dimension();
%$    t(1) = true;
%$ catch
%$    t(1) = false;
%$ end
%$
%$ T = t(1);
%@eof:1