function test_fetch_series_by_code_mask() % --*-- Unitary tests --*--
df = fetch_series('provider_code', "IMF", 'dataset_code', "CPI", 'series_code', "M.FR+DE.PCPIEC_IX+PCPIA_IX");

idx = find(strcmp('provider_code',df(1,:)));
provider_codes = unique(df(2:end,idx));
assert(length(provider_codes)==1);
assert(provider_codes{1} == "IMF");

idx = find(strcmp('dataset_code',df(1,:)));
dataset_codes = unique(df(2:end,idx));
assert(length(dataset_codes) == 1);
assert(dataset_codes{1} == "CPI");

idx = find(strcmp('series_code',df(1,:)));
series_codes = unique(df(2:end,idx));
assert(length(series_codes) == 4);
end

%@test:1
%$ try
%$    test_fetch_series_by_code_mask();
%$    t(1) = true;
%$ catch
%$    t(1) = false;
%$ end
%$
%$ T = t(1);
%@eof:1